com.google.gwt.user.client.ui

## Interface DisclosureHandler

All Superinterfaces:
  java.util.EventListener

Deprecated.
Use `CloseHandler` and/or `OpenHandler` instead

    @Deprecated
    public interface DisclosureHandler
    extends java.util.EventListener

Event handler interface for `DisclosureEvent`.

See Also:
  `DisclosurePanel`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `onClose(DisclosureEvent event)` Deprecated. Use `CloseHandler` instead
`void` `onOpen(DisclosureEvent event)` Deprecated. Use `OpenHandler` instead

### Method Detail

#### onClose

    @Deprecated
    void onClose(DisclosureEvent event)

Deprecated. Use `CloseHandler` instead
Fired when the panel is closed.

Parameters:
  `event` - event representing this action.

#### onOpen

    @Deprecated
    void onOpen(DisclosureEvent event)

Deprecated. Use `OpenHandler` instead
Fired when the panel is opened.

Parameters:
  `event` - event representing this action.